/** Header file generated with fdesign on Sat Jan 27 20:30:38 2001.**/

#ifndef FD_synth_h_
#define FD_synth_h_

/** Callbacks, globals and object handlers **/
extern void xygraph(FL_OBJECT *, long);
extern void amp(FL_OBJECT *, long);
extern void phase(FL_OBJECT *, long);
extern void play(FL_OBJECT *, long);
extern void dummy_callback(FL_OBJECT *, long);
extern void maxnum(FL_OBJECT *, long);
extern void square(FL_OBJECT *, long);
extern void triang(FL_OBJECT *, long);
extern void vowel(FL_OBJECT *, long);
extern void reset(FL_OBJECT *, long);
extern void scale(FL_OBJECT *, long);
extern void sawbut(FL_OBJECT *, long);
extern void sqslide(FL_OBJECT *, long);
extern void memory(FL_OBJECT *, long);
extern void volume_slide(FL_OBJECT *, long);
extern void recorder(FL_OBJECT *, long);
extern void zoom(FL_OBJECT *, long);
extern void grab(FL_OBJECT *, long);
extern void cycle_button(FL_OBJECT *, long);
extern void freqvol(FL_OBJECT *, long);
extern void save(FL_OBJECT *, long);
extern void load(FL_OBJECT *, long);
extern void invalid(FL_OBJECT *, long);
extern void filename(FL_OBJECT *, long);
extern void ampapply(FL_OBJECT *, long);
extern void position(FL_OBJECT *, long);
extern void grab_ok_but(FL_OBJECT *, long);
extern void grab_cancel_but(FL_OBJECT *, long);
extern void fourier_but(FL_OBJECT *, long);
extern void spectrum_position(FL_OBJECT *, long);
extern void linear_log_but(FL_OBJECT *, long);


/**** Forms and Objects ****/
typedef struct {
	FL_FORM *synth;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *synthbox;
	FL_OBJECT *box1;
	FL_OBJECT *xyplotgr;
	FL_OBJECT *slider_group;
	FL_OBJECT *amp1;
	FL_OBJECT *amp2;
	FL_OBJECT *amp3;
	FL_OBJECT *amp4;
	FL_OBJECT *amp5;
	FL_OBJECT *amp6;
	FL_OBJECT *amp7;
	FL_OBJECT *amp8;
	FL_OBJECT *amp9;
	FL_OBJECT *amp10;
	FL_OBJECT *amp11;
	FL_OBJECT *amp12;
	FL_OBJECT *amp13;
	FL_OBJECT *amp14;
	FL_OBJECT *amp15;
	FL_OBJECT *amp16;
	FL_OBJECT *amp17;
	FL_OBJECT *amp18;
	FL_OBJECT *amp19;
	FL_OBJECT *amp20;
	FL_OBJECT *amp21;
	FL_OBJECT *amp22;
	FL_OBJECT *amp23;
	FL_OBJECT *amp24;
	FL_OBJECT *amp25;
	FL_OBJECT *amp26;
	FL_OBJECT *amp27;
	FL_OBJECT *amp28;
	FL_OBJECT *amp29;
	FL_OBJECT *amp30;
	FL_OBJECT *p1;
	FL_OBJECT *p2;
	FL_OBJECT *p3;
	FL_OBJECT *p4;
	FL_OBJECT *p5;
	FL_OBJECT *p6;
	FL_OBJECT *p7;
	FL_OBJECT *p8;
	FL_OBJECT *p9;
	FL_OBJECT *p10;
	FL_OBJECT *p11;
	FL_OBJECT *p12;
	FL_OBJECT *p13;
	FL_OBJECT *p14;
	FL_OBJECT *p15;
	FL_OBJECT *p16;
	FL_OBJECT *p17;
	FL_OBJECT *p18;
	FL_OBJECT *p19;
	FL_OBJECT *p20;
	FL_OBJECT *p21;
	FL_OBJECT *p22;
	FL_OBJECT *p23;
	FL_OBJECT *p24;
	FL_OBJECT *p25;
	FL_OBJECT *p26;
	FL_OBJECT *p27;
	FL_OBJECT *p28;
	FL_OBJECT *p29;
	FL_OBJECT *p30;
	FL_OBJECT *Play;
	FL_OBJECT *playtime;
	FL_OBJECT *maxnumslide;
	FL_OBJECT *square;
	FL_OBJECT *triang;
	FL_OBJECT *vowel;
	FL_OBJECT *reset;
	FL_OBJECT *scale;
	FL_OBJECT *saw;
	FL_OBJECT *sqduty;
	FL_OBJECT *mem1;
	FL_OBJECT *mem2;
	FL_OBJECT *mem3;
	FL_OBJECT *mem;
	FL_OBJECT *volume;
	FL_OBJECT *recordbut;
	FL_OBJECT *zoom1;
	FL_OBJECT *zoom2;
	FL_OBJECT *grabbut;
	FL_OBJECT *cyclebut;
	FL_OBJECT *freqsize;
	FL_OBJECT *rectime;
	FL_OBJECT *savebut;
	FL_OBJECT *loadbut;
	FL_OBJECT *invalidgp;
	FL_OBJECT *invalidmess;
	FL_OBJECT *invalidbut;
	FL_OBJECT *inputgroup;
	FL_OBJECT *response;
	FL_OBJECT *filename;
	FL_OBJECT *ampbut;
	FL_OBJECT *positioner;
	FL_OBJECT *grab_warn_gp;
	FL_OBJECT *grab_warn;
	FL_OBJECT *grab_ok;
	FL_OBJECT *grab_cancel;
	FL_OBJECT *freq;
	FL_OBJECT *fourier_button;
	FL_OBJECT *fourier;
	FL_OBJECT *fourgraph;
	FL_OBJECT *spectrum_posn;
	FL_OBJECT *ll_button;
	FL_OBJECT *frequency;
} FD_synth;

extern FD_synth * create_form_synth(void);

#endif /* FD_synth_h_ */
